# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Copyright 1998 - 2005 Double Precision, Inc.  See COPYING for
# distribution information.




pkgdatadir = $(datadir)/maildir
pkgincludedir = $(includedir)/maildir
pkglibdir = $(libdir)/maildir
pkglibexecdir = $(libexecdir)/maildir
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = powerpc--netbsd
host_triplet = powerpc--netbsd
target_triplet = powerpc--netbsd
noinst_PROGRAMS = deliverquota$(EXEEXT) maildirmake$(EXEEXT) \
	testmaildirfilter$(EXEEXT) maildirkwtest$(EXEEXT) \
	maildirkw$(EXEEXT) maildiracl$(EXEEXT) \
	maildiraclttest$(EXEEXT) testmaildirsearch$(EXEEXT)
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/../config.guess \
	$(srcdir)/../config.sub $(srcdir)/../depcomp \
	$(srcdir)/../install-sh $(srcdir)/../ltmain.sh \
	$(srcdir)/../missing $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/sharedindexinstall.in $(srcdir)/sharedindexsplit.in \
	$(top_srcdir)/configure AUTHORS INSTALL
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = sharedindexinstall sharedindexsplit
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libmaildir_la_LIBADD =
am_libmaildir_la_OBJECTS = autoresponse.lo maildiraclt.lo \
	maildircache.lo maildircreate.lo maildirfilename.lo \
	maildirgetnew.lo maildirfilter.lo maildirfilter2.lo \
	maildirflags.lo maildirmkdir.lo maildirgetquota.lo \
	maildirinfo.lo maildirkeywords.lo maildirkeywords2.lo \
	maildirkeywords3.lo maildirkeywords4.lo maildirlist.lo \
	maildirlock.lo maildirmake2.lo maildirnewshared.lo \
	maildirnewshared2.lo maildiropen.lo maildirparsequota.lo \
	maildirpath.lo maildirpurgetmp.lo maildirrename.lo \
	maildirsearch.lo maildirsearchC.lo maildirshared.lo \
	maildirshared2.lo maildirdelfolder.lo maildirquota.lo \
	maildirrequota.lo maildirwatch.lo loginexec.lo
libmaildir_la_OBJECTS = $(am_libmaildir_la_OBJECTS)
PROGRAMS = $(noinst_PROGRAMS)
am_deliverquota_OBJECTS = deliverquota.$(OBJEXT)
deliverquota_OBJECTS = $(am_deliverquota_OBJECTS)
deliverquota_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(deliverquota_LDFLAGS) $(LDFLAGS) -o $@
maildiracl_SOURCES = maildiracl.c
maildiracl_OBJECTS = maildiracl.$(OBJEXT)
maildiracl_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(maildiracl_LDFLAGS) $(LDFLAGS) -o $@
am_maildiraclttest_OBJECTS = testmaildiraclt.$(OBJEXT)
maildiraclttest_OBJECTS = $(am_maildiraclttest_OBJECTS)
maildiraclttest_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(maildiraclttest_LDFLAGS) $(LDFLAGS) -o $@
am_maildirkw_OBJECTS = maildirkw.$(OBJEXT)
maildirkw_OBJECTS = $(am_maildirkw_OBJECTS)
maildirkw_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(maildirkw_LDFLAGS) $(LDFLAGS) -o $@
am_maildirkwtest_OBJECTS = maildirkwtest.$(OBJEXT)
maildirkwtest_OBJECTS = $(am_maildirkwtest_OBJECTS)
maildirkwtest_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(maildirkwtest_LDFLAGS) $(LDFLAGS) -o $@
am_maildirmake_OBJECTS = maildirmake.$(OBJEXT)
maildirmake_OBJECTS = $(am_maildirmake_OBJECTS)
maildirmake_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(maildirmake_LDFLAGS) $(LDFLAGS) -o $@
am_testmaildirfilter_OBJECTS = testmaildirfilter.$(OBJEXT)
testmaildirfilter_OBJECTS = $(am_testmaildirfilter_OBJECTS)
testmaildirfilter_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(testmaildirfilter_LDFLAGS) $(LDFLAGS) -o $@
am_testmaildirsearch_OBJECTS = testmaildirsearch.$(OBJEXT)
testmaildirsearch_OBJECTS = $(am_testmaildirsearch_OBJECTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libmaildir_la_SOURCES) $(deliverquota_SOURCES) \
	maildiracl.c $(maildiraclttest_SOURCES) $(maildirkw_SOURCES) \
	$(maildirkwtest_SOURCES) $(maildirmake_SOURCES) \
	$(testmaildirfilter_SOURCES) $(testmaildirsearch_SOURCES)
DIST_SOURCES = $(libmaildir_la_SOURCES) $(deliverquota_SOURCES) \
	maildiracl.c $(maildiraclttest_SOURCES) $(maildirkw_SOURCES) \
	$(maildirkwtest_SOURCES) $(maildirmake_SOURCES) \
	$(testmaildirfilter_SOURCES) $(testmaildirsearch_SOURCES)
DATA = $(noinst_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run aclocal-1.11
AMTAR = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run automake-1.11
AWK = /usr/bin/awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -DLDAP_DEPRECATED -D_XOPEN_SOURCE_EXTENDED=1 -I/usr/pkg/include/ncurses -Wall -I./.. -I..
CPP = gcc -E
CPPFLAGS = -I/usr/pkg/include -I/usr/include -DLDAP_DEPRECATED -D_XOPEN_SOURCE_EXTENDED=1 -I/usr/pkg/include/ncurses
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -DLDAP_DEPRECATED -D_XOPEN_SOURCE_EXTENDED=1 -I/usr/pkg/include/ncurses -Wall
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/egrep
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /tmp/pkgbuild/mail/cone/work.powerpc/.cwrapper/bin/ld
LDFLAGS = -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib
LIBFAM = 
LIBOBJS = 
LIBPCRE = -lpcre
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAILBOT = mailbot
MAKEINFO = /tmp/pkgbuild/mail/cone/work.powerpc/.tools/bin/makeinfo
MANIFEST_TOOL = :
MKDIR_P = ./../install-sh -c -d
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = maildir
PACKAGE_BUGREPORT = courier-maildrop@lists.sourceforge.net
PACKAGE_NAME = maildir
PACKAGE_STRING = maildir 0.11
PACKAGE_TARNAME = maildir
PACKAGE_URL = 
PACKAGE_VERSION = 0.11
PATH_SEPARATOR = :
PERL = /usr/pkg/bin/perl
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.11
abs_builddir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/maildir
abs_srcdir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/maildir
abs_top_builddir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/maildir
abs_top_srcdir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/maildir
ac_ct_AR = ar
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = powerpc--netbsd
build_alias = powerpc--netbsd
build_cpu = powerpc
build_os = netbsd
build_vendor = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr/pkg
host = powerpc--netbsd
host_alias = powerpc--netbsd
host_cpu = powerpc
host_os = netbsd
host_vendor = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(top_builddir)/./../install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/pkg
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /usr/pkg/etc
target = powerpc--netbsd
target_alias = 
target_cpu = powerpc
target_os = netbsd
target_vendor = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
noinst_LTLIBRARIES = libmaildir.la
DOCS = deliverquota.html.in deliverquota.8.in \
	maildiracl.1.in \
	maildir.html maildir.5 \
	maildiracl.html.in \
	maildirmake.html.in maildirmake.1.in maildirquota.html maildirquota.7 \
	maildirkw.html maildirkw.1

BUILT_SOURCES = maildirsharedrc.h maildirfilterconfig.h quotawarnmsg.h \
	mailbot.h autoresponsequota.h $(noinst_DATA)

#BUILT_SOURCES = maildirsharedrc.h maildirfilterconfig.h quotawarnmsg.h \
#	mailbot.h autoresponsequota.h $(noinst_DATA) $(DOCS)

noinst_DATA = deliverquota.html maildirmake.html deliverquota.8 maildirmake.1 \
	maildiracl.html maildiracl.1 maildir.libdeps

libmaildir_la_SOURCES = autoresponse.c autoresponse.h \
	maildiraclt.c maildiraclt.h \
	maildircache.c maildircache.h \
	maildircreate.c maildircreate.h \
	maildirfilename.c maildirgetnew.c \
	maildirfilter.c maildirfilter2.c \
	maildirfilter.h maildirfiltertypelist.h\
	maildirflags.c maildirmkdir.c \
	maildirgetquota.c maildirgetquota.h \
	maildirinfo.c maildirinfo.h \
	maildirkeywords.c maildirkeywords2.c maildirkeywords3.c \
	maildirkeywords4.cpp \
	maildirkeywords.h maildirlist.c maildirlock.c \
	maildirmake2.c \
	maildirnewshared.c maildirnewshared.h maildirnewshared2.c \
	maildiropen.c maildirparsequota.c \
	maildirpath.c maildirpurgetmp.c maildirmisc.h \
	maildirrename.c \
	maildirsearch.c maildirsearchC.cpp maildirsearch.h \
	maildirshared.c maildirshared2.c maildirdelfolder.c\
	maildirquota.c maildirquota.h maildirrequota.c maildirrequota.h \
	maildirwatch.c maildirwatch.h loginexec.c loginexec.h

deliverquota_SOURCES = deliverquota.c
deliverquota_DEPENDENCIES = libmaildir.la ../rfc822/librfc822.la \
				../numlib/libnumlib.la

deliverquota_LDADD = libmaildir.la ../rfc822/librfc822.la ../numlib/libnumlib.la
deliverquota_LDFLAGS = -static
maildirmake_SOURCES = maildirmake.c
maildirmake_DEPENDENCIES = libmaildir.la ../numlib/libnumlib.la \
			../rfc822/librfc822.la

maildirmake_LDADD = libmaildir.la ../numlib/libnumlib.la \
			../rfc822/librfc822.la

maildirmake_LDFLAGS = -static
testmaildirfilter_SOURCES = maildirfiltertypelist.h testmaildirfilter.c
testmaildirfilter_DEPENDENCIES = libmaildir.la ../numlib/libnumlib.la
testmaildirfilter_LDADD = libmaildir.la ../numlib/libnumlib.la -lpcre
testmaildirfilter_LDFLAGS = -static
maildirkwtest_SOURCES = maildirkwtest.c
maildirkwtest_LDADD = libmaildir.la
maildirkwtest_DEPENDENCIES = libmaildir.la
maildirkwtest_LDFLAGS = -static
maildirkw_SOURCES = maildirkw.c
maildirkw_LDADD = libmaildir.la ../liblock/liblock.la ../numlib/libnumlib.la \
		`cat maildir.libdeps`

maildirkw_DEPENDENCIES = libmaildir.la ../liblock/liblock.la \
	../numlib/libnumlib.la maildir.libdeps

maildirkw_LDFLAGS = -static
maildiracl = maildiracl.c
maildiracl_LDADD = libmaildir.la ../liblock/liblock.la ../numlib/libnumlib.la \
			`cat maildir.libdeps`

maildiracl_DEPENDENCIES = libmaildir.la ../liblock/liblock.la \
		../numlib/libnumlib.la maildir.libdeps

maildiracl_LDFLAGS = -static
maildiraclttest_SOURCES = testmaildiraclt.c
maildiraclttest_LDADD = libmaildir.la ../liblock/liblock.la \
		../numlib/libnumlib.la `cat maildir.libdeps`

maildiraclttest_DEPENDENCIES = libmaildir.la ../liblock/liblock.la \
		../numlib/libnumlib.la maildir.libdeps

maildiraclttest_LDFLAGS = -static
testmaildirsearch_SOURCES = testmaildirsearch.c
testmaildirsearch_LDADD = libmaildir.la ../unicode/libunicode.la
testmaildirsearch_DEPENDENCIES = libmaildir.la ../unicode/libunicode.la
EXTRA_DIST = README.maildirquota.html README.maildirquota.txt \
	README.imapkeywords.html \
	README.maildirfilter.html \
	README.sharedfolders.html README.sharedfolders.txt \
	maildirkwtest.txt \
	testsuite testsuite.txt testsuite2 testsuite2.txt quotawarnmsg $(DOCS)

HTML2TXT = links -dump -no-numbering

# autoresponse.c: autoresponsequota.h
DISTCLEANFILES = $(BUILT_SOURCES)
all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
sharedindexinstall: $(top_builddir)/config.status $(srcdir)/sharedindexinstall.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
sharedindexsplit: $(top_builddir)/config.status $(srcdir)/sharedindexsplit.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libmaildir.la: $(libmaildir_la_OBJECTS) $(libmaildir_la_DEPENDENCIES) 
	$(CXXLINK)  $(libmaildir_la_OBJECTS) $(libmaildir_la_LIBADD) $(LIBS)

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
deliverquota$(EXEEXT): $(deliverquota_OBJECTS) $(deliverquota_DEPENDENCIES) 
	@rm -f deliverquota$(EXEEXT)
	$(deliverquota_LINK) $(deliverquota_OBJECTS) $(deliverquota_LDADD) $(LIBS)
maildiracl$(EXEEXT): $(maildiracl_OBJECTS) $(maildiracl_DEPENDENCIES) 
	@rm -f maildiracl$(EXEEXT)
	$(maildiracl_LINK) $(maildiracl_OBJECTS) $(maildiracl_LDADD) $(LIBS)
maildiraclttest$(EXEEXT): $(maildiraclttest_OBJECTS) $(maildiraclttest_DEPENDENCIES) 
	@rm -f maildiraclttest$(EXEEXT)
	$(maildiraclttest_LINK) $(maildiraclttest_OBJECTS) $(maildiraclttest_LDADD) $(LIBS)
maildirkw$(EXEEXT): $(maildirkw_OBJECTS) $(maildirkw_DEPENDENCIES) 
	@rm -f maildirkw$(EXEEXT)
	$(maildirkw_LINK) $(maildirkw_OBJECTS) $(maildirkw_LDADD) $(LIBS)
maildirkwtest$(EXEEXT): $(maildirkwtest_OBJECTS) $(maildirkwtest_DEPENDENCIES) 
	@rm -f maildirkwtest$(EXEEXT)
	$(maildirkwtest_LINK) $(maildirkwtest_OBJECTS) $(maildirkwtest_LDADD) $(LIBS)
maildirmake$(EXEEXT): $(maildirmake_OBJECTS) $(maildirmake_DEPENDENCIES) 
	@rm -f maildirmake$(EXEEXT)
	$(maildirmake_LINK) $(maildirmake_OBJECTS) $(maildirmake_LDADD) $(LIBS)
testmaildirfilter$(EXEEXT): $(testmaildirfilter_OBJECTS) $(testmaildirfilter_DEPENDENCIES) 
	@rm -f testmaildirfilter$(EXEEXT)
	$(testmaildirfilter_LINK) $(testmaildirfilter_OBJECTS) $(testmaildirfilter_LDADD) $(LIBS)
testmaildirsearch$(EXEEXT): $(testmaildirsearch_OBJECTS) $(testmaildirsearch_DEPENDENCIES) 
	@rm -f testmaildirsearch$(EXEEXT)
	$(LINK) $(testmaildirsearch_OBJECTS) $(testmaildirsearch_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/autoresponse.Plo
include ./$(DEPDIR)/deliverquota.Po
include ./$(DEPDIR)/loginexec.Plo
include ./$(DEPDIR)/maildiracl.Po
include ./$(DEPDIR)/maildiraclt.Plo
include ./$(DEPDIR)/maildircache.Plo
include ./$(DEPDIR)/maildircreate.Plo
include ./$(DEPDIR)/maildirdelfolder.Plo
include ./$(DEPDIR)/maildirfilename.Plo
include ./$(DEPDIR)/maildirfilter.Plo
include ./$(DEPDIR)/maildirfilter2.Plo
include ./$(DEPDIR)/maildirflags.Plo
include ./$(DEPDIR)/maildirgetnew.Plo
include ./$(DEPDIR)/maildirgetquota.Plo
include ./$(DEPDIR)/maildirinfo.Plo
include ./$(DEPDIR)/maildirkeywords.Plo
include ./$(DEPDIR)/maildirkeywords2.Plo
include ./$(DEPDIR)/maildirkeywords3.Plo
include ./$(DEPDIR)/maildirkeywords4.Plo
include ./$(DEPDIR)/maildirkw.Po
include ./$(DEPDIR)/maildirkwtest.Po
include ./$(DEPDIR)/maildirlist.Plo
include ./$(DEPDIR)/maildirlock.Plo
include ./$(DEPDIR)/maildirmake.Po
include ./$(DEPDIR)/maildirmake2.Plo
include ./$(DEPDIR)/maildirmkdir.Plo
include ./$(DEPDIR)/maildirnewshared.Plo
include ./$(DEPDIR)/maildirnewshared2.Plo
include ./$(DEPDIR)/maildiropen.Plo
include ./$(DEPDIR)/maildirparsequota.Plo
include ./$(DEPDIR)/maildirpath.Plo
include ./$(DEPDIR)/maildirpurgetmp.Plo
include ./$(DEPDIR)/maildirquota.Plo
include ./$(DEPDIR)/maildirrename.Plo
include ./$(DEPDIR)/maildirrequota.Plo
include ./$(DEPDIR)/maildirsearch.Plo
include ./$(DEPDIR)/maildirsearchC.Plo
include ./$(DEPDIR)/maildirshared.Plo
include ./$(DEPDIR)/maildirshared2.Plo
include ./$(DEPDIR)/maildirwatch.Plo
include ./$(DEPDIR)/testmaildiraclt.Po
include ./$(DEPDIR)/testmaildirfilter.Po
include ./$(DEPDIR)/testmaildirsearch.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

.cpp.o:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@$(am__cd) '$(distuninstallcheck_dir)' \
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) config.h
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-hdr distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: all check install install-am install-strip

.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
	clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-noinstPROGRAMS ctags dist \
	dist-all dist-bzip2 dist-gzip dist-lzma dist-shar dist-tarZ \
	dist-xz dist-zip distcheck distclean distclean-compile \
	distclean-generic distclean-hdr distclean-libtool \
	distclean-tags distcleancheck distdir distuninstallcheck dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am


README.maildirquota.txt: README.maildirquota.html
	$(HTML2TXT) README.maildirquota.html >README.maildirquota.txt

README.sharedfolders.txt: README.sharedfolders.html
	$(HTML2TXT) README.sharedfolders.html >README.sharedfolders.txt

mailbot.h: config.status
	echo '#define MAILBOT "mailbot"' >mailbot.h

maildirsharedrc.h: config.status
	echo '#define MAILDIRSHAREDRC "$(sysconfdir)/maildirshared"' >maildirsharedrc.h

maildirfilterconfig.h: config.status
	echo '#define MAILDIRFILTERCONFIG "$(sysconfdir)/maildirfilterconfig"' >maildirfilterconfig.h

autoresponsequota.h: config.status
	echo '#define AUTORESPONSEQUOTA "$(sysconfdir)/autoresponsesquota"' >autoresponsequota.h

quotawarnmsg.h: config.status
	echo '#define QUOTAWARNMSG "$(sysconfdir)/quotawarnmsg"' >quotawarnmsg.h
maildir.libdeps: config.status
	echo  >maildir.libdeps

clean-local:
	rm -rf maildir.libdeps testmd

check-am:
	/bin/sh $(srcdir)/testsuite 2>&1 | cmp - $(srcdir)/testsuite.txt
	test "-lpcre" != "" || exit 0 ; /bin/sh $(srcdir)/testsuite2 2>&1 | cmp - $(srcdir)/testsuite2.txt
	LC_ALL=C; export LC_ALL; ./maildirkwtest | cmp -s - $(srcdir)/maildirkwtest.txt
	LC_ALL=C; export LC_ALL; ./maildiraclttest
	./testmaildirsearch iso-8859-1 needle haystack; test $$? = 2 && exit 0; exit 1
	./testmaildirsearch iso-8859-1 nEEdle needlE
	./testmaildirsearch iso-8859-1 "abra  cadAbra" "abra   cadabra"
	./testmaildirsearch iso-8859-1 "  abra  cadAbra  " " abra   cadabra"
	./testmaildirsearch iso-8859-1 "  abra  cadAbra  " " abra   cadabra  "

#deliverquota.html.in: deliverquota.sgml ../docbook/sgml2html
#	../docbook/sgml2html deliverquota.sgml deliverquota.html.in

#deliverquota.8.in: deliverquota.sgml ../docbook/sgml2html
#	../docbook/sgml2man deliverquota.sgml deliverquota.8.in
#	mv deliverquota.8 deliverquota.8.in

#maildirmake.html.in: maildirmake.sgml ../docbook/sgml2html
#	../docbook/sgml2html maildirmake.sgml maildirmake.html.in

#maildirmake.1.in: maildirmake.sgml ../docbook/sgml2html
#	../docbook/sgml2man maildirmake.sgml maildirmake.1.in
#	mv maildirmake.1 maildirmake.1.in

#maildiracl.html.in: maildiracl.sgml ../docbook/sgml2html
#	../docbook/sgml2html maildiracl.sgml maildiracl.html.in

#maildiracl.1.in: maildiracl.sgml ../docbook/sgml2html
#	../docbook/sgml2man maildiracl.sgml maildiracl.1.in
#	mv maildiracl.1 maildiracl.1.in

#maildirquota.html: maildirquota.sgml ../docbook/sgml2html
#	../docbook/sgml2html maildirquota.sgml maildirquota.html

#maildirquota.7: maildirquota.sgml ../docbook/sgml2man
#	../docbook/sgml2man maildirquota.sgml maildirquota.7

#maildir.html: maildir.sgml ../docbook/sgml2html
#	../docbook/sgml2html maildir.sgml maildir.html

#maildir.5: maildir.sgml ../docbook/sgml2man
#	../docbook/sgml2man maildir.sgml maildir.5

#maildirkw.html: maildirkw.sgml ../docbook/sgml2html
#	../docbook/sgml2html maildirkw.sgml maildirkw.html

#maildirkw.1: maildirkw.sgml ../docbook/sgml2man
#	../docbook/sgml2man maildirkw.sgml maildirkw.1

deliverquota.html: deliverquota.html.in
	./config.status --file=$@

deliverquota.8: deliverquota.8.in
	./config.status --file=$@

maildirmake.html: maildirmake.html.in
	./config.status --file=$@

maildirmake.1: maildirmake.1.in
	./config.status --file=$@

maildiracl.html: maildiracl.html.in
	./config.status --file=$@

maildiracl.1: maildiracl.1.in
	./config.status --file=$@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
